Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass.StateAwareEncoderWrapper

- org.grails.commons.DefaultGrailsCodecClass.StateAwareEncoderWrapper

- All Implemented Interfaces and Traits:
    Encoder

      private static class DefaultGrailsCodecClass.StateAwareEncoderWrapper

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private Encoder` | `delegate` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StateAwareEncoderWrapper (Encoder delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `encode(java.lang.Object target)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public boolean` | `isApplyToSafelyEncoded()`
    `` | `public boolean` | `isSafe()`
    `` | `protected EncodingStateRegistry` | `lookupEncodingState()`
    `` | `public void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private Encoder delegate

  - ### Constructor Detail

    - #### public StateAwareEncoderWrapper(Encoder delegate)

  - ### Method Detail

    - #### public java.lang.Object encode(java.lang.Object target)

    - #### public CodecIdentifier getCodecIdentifier()

    - #### public boolean isApplyToSafelyEncoded()

    - #### public boolean isSafe()

    - #### protected EncodingStateRegistry lookupEncodingState()

    - #### public void markEncoded(java.lang.CharSequence string)